Create interest plan

Create an interest plan configuration that defines how the platform calculates interest accrual. After it's created, you can apply the interest plan to a specific product or account. For example, you can provide the interest_plan_id when creating a deposit product, when creating a savings account, or when depositing money into an account.

This endpoint generates an Interest plan creation succeeded event.

For more information, refer to the Interest-bearing accounts guide.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body

string
enum
required

Method used to calculate interest accrual.

  • BD/252: Calculates daily interest using a 252-day year and the actual number of business days in each time period.
  • ACTUAL/360: Calculates daily interest using a 360-day year and the actual number of days in each time period.
  • ACTUAL/365: Calculates daily interest using a 365-day year and the actual number of days in each time period.
  • ACTUAL/ACTUAL: Calculates daily interest using the actual number of days in the year (which in the leap year is 366) and the actual number of days in each time period.
Allowed:
string
enum
required

Interest accrual frequency

Allowed:
string
enum
required

Interest payout frequency

Allowed:
string
required

Numeric currency code in ISO 4217 standard

string
required

Interest plan name

string
enum
required

Interest calculation type

  • SIMPLE: Calculated on the original deposit or investment value.
  • COMPOUND: Calculated on the original value plus the last accumulated interest.
Allowed:
string
enum

Market index used to measure interest value over time. For fixed interest, this field must be null.

  • BOE: Bank of England, UK
  • DI: Interbank Deposit Contract, Brazil
  • FED: Federal Reserve System, USA
  • RBA: Reserve Bank of Australia
  • RBI: Reserve Bank of India
  • TO: Overnight Interbank Target Rate (Tasa Objetivo), Mexico
Allowed:
string

Processing code configured in the fee model for charging a tax, penalty, or fee.

float

Fixed annual interest rate for investments or deposits. If a benchmark value is provided, this field must be null.

double

Also known as a spread, this is an incremental rate the clients receive on investments or deposits. If a benchmark value is provided, this field is optional. If benchmark is null, this field must be null also.

double

Rate linked to the benchmark rate. For example, for 110% FED, margin rate is 110%. If a benchmark value is not provided, this field must be null.

date

Date to start applying the interest plan. Format = YYYY-MM-DD.

string

Division ID attached to the interest plan for accrual by division

interest_by_tiers
object

Interest by tiers configuration

interest_thresholds
object

Cap and floor thresholds for the interest plan

Responses

401

Unauthorized. The response body is produced by the upstream authentication gateway and is not defined by this service.

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json